
URL_MAPPING = {
    'hourly_weather': 'https://q0np6mu0vi.execute-api.us-east-1.amazonaws.com/prd/global-hourly-weather-forecast',
    'daily_weather': 'https://4y0sy5lved.execute-api.us-east-1.amazonaws.com/prd/global-daily-weather-forecast',
    'daily_climate': 'https://d43arqqeh8.execute-api.us-east-1.amazonaws.com/prd/global-daily-climate-forecast',
    'hourly_air_quality': 'https://pawsqe3sob.execute-api.us-east-1.amazonaws.com/prd/global-hourly-air-quality-forecast',
    'daily_air_quality': 'https://pawsqe3sob.execute-api.us-east-1.amazonaws.com/prd/global-daily-air-quality-forecast',
    'geocoding_nearest_city': 'https://ncstsm9hel.execute-api.us-east-1.amazonaws.com/prd/nearest-city',
    'geocoding_autocomplete': 'https://ncstsm9hel.execute-api.us-east-1.amazonaws.com/prd/autocomplete',
}

DESCRIPTION_MAPPING = {
    "weatherCode": "weather code used for weather icons",
    "timezone": "time zone name",
    "sunrise": "sunrise time",
    "sunset": "sunset time",
    "tp": "total precipitation",
    "minT": "daily minimum temperature",
    "maxT": "daily maximum temperature",
    "meanT": "daily mean temperature",
    "meanUWind": "daily mean eastward wind",
    "meanVWind": "daily mean northward wind",
    "meanwindSpeed": "daily mean wind speed",
    "meanwindDegree": "daily mean wind direction (0-north, 180-south, clockwise)",
    "meanRH": "daily mean relative humidity",
    "meanDP": "daily mean dew point temperature",
    "snow": "daily accumulated snow depth",
    "sunshine": "daily accumulated sunshine duration",
    "solarR": "daily accumulated downward shortwave radiation flux",
    "meanVis": "daily mean visibility",
    "pressure": "daily mean pressure",
    "meanST": "daily mean top soil temperature",
    "maxST": "daily maximum top soil temperature",
    "minST": "daily minimum top soil temperature",
    "meanSoilw": "daily mean top soil moisture",
    "crain": "rain (1) or not (0)",
    "csnow": "snow (1) or not (0)",
    "cicep": "ice pellets (1) or not (0)",
    "cfrzr": "freezing rain (1) or not (0)",
    "cfrzr": "freezing rain (1) or not (0)",  # Duplicate kept as per request
    "meanTcc": "daily mean total cloud cover",
    "maxPrate": "daily max precipitation rate",
    "maxCape": "daily max surface convective available potential energy",
    "precipType": "precipitation type (0-no precip, 1-rain, 2-snow, 3-freezing rain, 4-ice pellets)",
    "minApparentT": "minimum apparent temperature (i.e. feels-like temperature)",
    "maxApparentT": "maximum apparent temperature (i.e. feels-like temperature)",
    "t2m": "2m air temperature",  # Original description from first table (unchanged)
    "tmin": "daily minimum air temperature",
    "tmax": "daily maximum air temperature",
    "u10": "10m eastward wind",  # Original description from first table (unchanged)
    "v10": "10m northward wind",  # Original description from first table (unchanged)
    "sh2": "daily mean specific humidity",
    "st": "top soil temperature",  # Original description from first table (unchanged)
    "soilw": "top soil moisture",  # Original description from first table (unchanged)
    "prate": "precipitation rate",  # Original description from first table (unchanged)
    "sdwe": "daily total water equivalent snow depth",
    "dswrf": "downward shortwave radiation flux",  # Original description from first table (unchanged)
    "CO": "carbon monoxide concentration",
    "NO": "nitric monoxide concentration",
    "NO2": "nitrogen monoxide concentration",
    "SO2": "sulfur monoxide concentration",
    "O3": "ozone concentration",
    "PM25": "particulate matter 2.5 concentration",
    "PM10": "particulate matter 10 concentration",
    "AQI": "air quality index",
    "DP": "dominant pollutant according to AQI",
    "meanCO": "daily mean carbon monoxide concentration",
    "meanNO": "daily mean nitric monoxide concentration",
    "meanNO2": "daily mean nitrogen monoxide concentration",
    "meanSO2": "daily mean sulfur monoxide concentration",
    "meanO3": "daily mean ozone concentration",
    "meanPM25": "daily mean particulate matter 2.5 concentration",
    "meanPM10": "daily mean particulate matter 10 concentration",
    "maxCO": "daily maximum carbon monoxide concentration",
    "maxNO": "daily maximum nitric monoxide concentration",
    "maxNO2": "daily maximum nitrogen monoxide concentration",
    "maxSO2": "daily maximum sulfur monoxide concentration",
    "maxO3": "daily maximum ozone concentration",
    "maxPM25": "daily maximum particulate matter 2.5 concentration",
    "maxPM10": "daily maximum particulate matter 10 concentration",
}

UNIT_MAPPING = {
    'metric': {
        'tp': 'mm',
        't2m': 'C',
        'u10': 'km/h',
        'v10': 'km/h',
        'windSpeed': 'km/h',
        'windDegree': 'degree',
        'r2': '%',
        'd2m': 'C',
        'sde': 'm',
        'sunsd': 's',
        'dswrf': 'w/m^2',
        'vis': 'km',
        'sp': 'Pa',
        'st': 'C',
        'crain': '0/1',
        'csnow': '0/1',
        'cicep': '0/1',
        'cfrzr': '0/1',
        'tcc': '%',
        'prate': 'kg/m^2/s',
        'cape': 'J/kg',
        'precipType': '0/1/2/3/4',
        'apparentT': 'C',
        'minT': 'C',
        'maxT': 'C',
        'meanT': 'C',
        'meanUWind': 'km/h',
        'meanVWind': 'km/h',
        'meanwindSpeed': 'km/h',
        'meanwindDegree': 'degree',
        'meanRH': '%',
        'meanDP': 'C',
        'snow': 'm',
        'sunshine': 's',
        'solarR': 'w/m^2',
        'meanVis': 'km',
        'pressure': 'Pa',
        'meanST': 'C',
        'maxST': 'C',
        'minST': 'C',
        'meanTcc': '%',
        'maxPrate': 'kg/m^2/s',
        'maxCape': 'J/kg',
        'minApparentT': 'C',
        'maxApparentT': 'C',
        'tmin': 'C',
        'tmax': 'C',
        'sh2': '%',
        'sdwe': 'm',
        'CO': 'µg/m^3',
        'NO': 'µg/m^3',
        'NO2': 'µg/m^3',
        'SO2': 'µg/m^3',
        'O3': 'µg/m^3',
        'PM25': 'µg/m^3',
        'PM10': 'µg/m^3',
        'meanCO': 'µg/m^3',
        'meanNO': 'µg/m^3',
        'meanNO2': 'µg/m^3',
        'meanSO2': 'µg/m^3',
        'meanO3': 'µg/m^3',
        'meanPM25': 'µg/m^3',
        'meanPM10': 'µg/m^3',
        'maxCO': 'µg/m^3',
        'maxNO': 'µg/m^3',
        'maxNO2': 'µg/m^3',
        'maxSO2': 'µg/m^3',
        'maxO3': 'µg/m^3',
        'maxPM25': 'µg/m^3',
        'maxPM10': 'µg/m^3'
    },
    'imperial': {
        'tp': 'inch',
        't2m': 'F',
        'u10': 'miles/h',
        'v10': 'miles/h',
        'windSpeed': 'miles/h',
        'windDegree': 'degree',
        'r2': '%',
        'd2m': 'F',
        'sde': 'inch',
        'sunsd': 's',
        'dswrf': 'w/m^2',
        'vis': 'miles',
        'sp': 'Pa',
        'st': 'F',
        'crain': '0/1',
        'csnow': '0/1',
        'cicep': '0/1',
        'cfrzr': '0/1',
        'tcc': '%',
        'prate': 'kg/m^2/s',
        'cape': 'J/kg',
        'precipType': '0/1/2/3/4',
        'apparentT': 'F',
        'minT': 'F',
        'maxT': 'F',
        'meanT': 'F',
        'meanUWind': 'miles/h',
        'meanVWind': 'miles/h',
        'meanwindSpeed': 'miles/h',
        'meanwindDegree': 'degree',
        'meanRH': '%',
        'meanDP': 'F',
        'snow': 'inch',
        'sunshine': 's',
        'solarR': 'w/m^2',
        'meanVis': 'miles',
        'pressure': 'Pa',
        'meanST': 'F',
        'maxST': 'F',
        'minST': 'F',
        'meanTcc': '%',
        'maxPrate': 'kg/m^2/s',
        'maxCape': 'J/kg',
        'minApparentT': 'F',
        'maxApparentT': 'F',
        'tmin': 'F',
        'tmax': 'F',
        'sh2': '%',
        'sdwe': 'inch',
        'CO': 'µg/m^3',
        'NO': 'µg/m^3',
        'NO2': 'µg/m^3',
        'SO2': 'µg/m^3',
        'O3': 'µg/m^3',
        'PM25': 'µg/m^3',
        'PM10': 'µg/m^3',
        'meanCO': 'µg/m^3',
        'meanNO': 'µg/m^3',
        'meanNO2': 'µg/m^3',
        'meanSO2': 'µg/m^3',
        'meanO3': 'µg/m^3',
        'meanPM25': 'µg/m^3',
        'meanPM10': 'µg/m^3',
        'maxCO': 'µg/m^3',
        'maxNO': 'µg/m^3',
        'maxNO2': 'µg/m^3',
        'maxSO2': 'µg/m^3',
        'maxO3': 'µg/m^3',
        'maxPM25': 'µg/m^3',
        'maxPM10': 'µg/m^3'
    }
}